package cn.com.tenlion.systembase.pojo.dtos.massprevention;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MassPreventionDTO
 * @Description: 群防群治组织
 * @Author: CodeFactory
 * @Date: 2021-10-12 10:09:38
 * @Version: 3.0
 **/
@ApiModel
public class MassPreventionDTO {

    @ApiModelProperty(name = "massPreventionId", value = "主键UUID")
    private String massPreventionId;
    @ApiModelProperty(name = "organizeName", value = "组织名称")
    private String organizeName;
    @ApiModelProperty(name = "organizeType", value = "组织类型字典ID")
    private String organizeType;
    @ApiModelProperty(name = "organizeTypeName", value = "组织类型名称")
    private String organizeTypeName;
    @ApiModelProperty(name = "organizeTypeCode", value = "组织类型编码")
    private String organizeTypeCode;
    @ApiModelProperty(name = "organizeLevel", value = "组织层级字典ID")
    private String organizeLevel;
    @ApiModelProperty(name = "organizeLevelName", value = "组织层级名称")
    private String organizeLevelName;
    @ApiModelProperty(name = "organizeLevelCode", value = "组织层级编码")
    private String organizeLevelCode;
    @ApiModelProperty(name = "businessGuidanceDept", value = "业务指导部门")
    private String businessGuidanceDept;
    @ApiModelProperty(name = "userCount", value = "人员数量")
    private Integer userCount;
    @ApiModelProperty(name = "mainFunction", value = "主要职能")
    private String mainFunction;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "gridName", value = "所属网格")
    private String gridName;

    public String getMassPreventionId() {
        return massPreventionId == null ? "" : massPreventionId.trim();
    }

    public void setMassPreventionId(String massPreventionId) {
        this.massPreventionId = massPreventionId;
    }

    public String getOrganizeName() {
        return organizeName == null ? "" : organizeName.trim();
    }

    public void setOrganizeName(String organizeName) {
        this.organizeName = organizeName;
    }

    public String getOrganizeType() {
        return organizeType == null ? "" : organizeType.trim();
    }

    public void setOrganizeType(String organizeType) {
        this.organizeType = organizeType;
    }

    public String getOrganizeTypeName() {
        return organizeTypeName == null ? "" : organizeTypeName.trim();
    }

    public void setOrganizeTypeName(String organizeTypeName) {
        this.organizeTypeName = organizeTypeName;
    }

    public String getOrganizeTypeCode() {
        return organizeTypeCode == null ? "" : organizeTypeCode.trim();
    }

    public void setOrganizeTypeCode(String organizeTypeCode) {
        this.organizeTypeCode = organizeTypeCode;
    }

    public String getOrganizeLevel() {
        return organizeLevel == null ? "" : organizeLevel.trim();
    }

    public void setOrganizeLevel(String organizeLevel) {
        this.organizeLevel = organizeLevel;
    }

    public String getOrganizeLevelName() {
        return organizeLevelName == null ? "" : organizeLevelName.trim();
    }

    public void setOrganizeLevelName(String organizeLevelName) {
        this.organizeLevelName = organizeLevelName;
    }

    public String getOrganizeLevelCode() {
        return organizeLevelCode == null ? "" : organizeLevelCode.trim();
    }

    public void setOrganizeLevelCode(String organizeLevelCode) {
        this.organizeLevelCode = organizeLevelCode;
    }

    public String getBusinessGuidanceDept() {
        return businessGuidanceDept == null ? "" : businessGuidanceDept.trim();
    }

    public void setBusinessGuidanceDept(String businessGuidanceDept) {
        this.businessGuidanceDept = businessGuidanceDept;
    }

    public Integer getUserCount() {
        return userCount == null ? 0 : userCount;
    }

    public void setUserCount(Integer userCount) {
        this.userCount = userCount;
    }

    public String getMainFunction() {
        return mainFunction == null ? "" : mainFunction.trim();
    }

    public void setMainFunction(String mainFunction) {
        this.mainFunction = mainFunction;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }
}
